Loading...
Searching...
No Matches
itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar > Class Template Reference

`#include <itkRecursiveBSplineTransformImplementation.h>`

## Detailed Description

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>
class itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >

Definition at line 357 of file itkRecursiveBSplineTransformImplementation.h.

## Public Types

using | InternalFloatType = double
using | RecursiveBSplineWeightFunctionType

## Public Member Functions

| itkStaticConstMacro (BSplineNumberOfIndices, unsigned int, RecursiveBSplineWeightFunctionType::NumberOfIndices)

## Static Public Member Functions

static void | ComputeNonZeroJacobianIndices (unsigned long *&nzji, const unsigned long parametersPerDim, const unsigned long currentIndex, const OffsetValueType *const)
static void | EvaluateJacobianWithImageGradientProduct (TScalar *&imageJacobian, const InternalFloatType *const movingImageGradient, const double *const, const double value)
static void | GetJacobian (TScalar *&jacobians, const double *const, const double value)
static void | GetJacobianOfSpatialHessian (InternalFloatType *&jsh_out, const double *const, const double *const, const double *const, const double *const directionCosines, const InternalFloatType *const jsh)
static void | GetJacobianOfSpatialJacobian (InternalFloatType *&jsj_out, const double *const, const double *const, const double *const directionCosines, const InternalFloatType *const jsj)
static void | GetSpatialHessian (InternalFloatType *const sh, const TScalar *const *const mu, const OffsetValueType *const, const double *const, const double *const, const double *const)
static void | GetSpatialJacobian (InternalFloatType *const sj, const TScalar *const *const mu, const OffsetValueType *const, const double *const, const double *const)
static void | TransformPoint (TScalar *const opp, const TScalar *const *const mu, const OffsetValueType *const, const double *const)

## Static Private Member Functions

template<typename T1, typename T2>
static void | FastBitwiseCopy (const T1 &, const T2 &)
template<typename T>
static void | FastBitwiseCopy (T &destination, const T &source)

## Member Typedef Documentation

## InternalFloatType

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

using itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::InternalFloatType = double

Definition at line 360 of file itkRecursiveBSplineTransformImplementation.h.

## RecursiveBSplineWeightFunctionType

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

using itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::RecursiveBSplineWeightFunctionType

Initial value:
itk::RecursiveBSplineInterpolationWeightFunction<TScalar, OutputDimension, SplineOrder>
itk::RecursiveBSplineInterpolationWeightFunction
Returns the weights over the support region used for B-spline interpolation/reconstruction.
Definition itkRecursiveBSplineInterpolationWeightFunction.h:50

Typedef to know the number of indices at compile time.

Definition at line 363 of file itkRecursiveBSplineTransformImplementation.h.

## Member Function Documentation

## ComputeNonZeroJacobianIndices()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::ComputeNonZeroJacobianIndices | ( | unsigned long *& | nzji,
|  | const unsigned long | parametersPerDim,
|  | const unsigned long | currentIndex,
|  | const OffsetValueType * const | )

inline static

ComputeNonZeroJacobianIndices recursive implementation.

Definition at line 412 of file itkRecursiveBSplineTransformImplementation.h.

## EvaluateJacobianWithImageGradientProduct()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::EvaluateJacobianWithImageGradientProduct | ( | TScalar *& | imageJacobian,
|  | const InternalFloatType *const | movingImageGradient,
|  | const double * const | ,
|  | const double | value )

inline static

EvaluateJacobianWithImageGradientProduct recursive implementation.

Definition at line 397 of file itkRecursiveBSplineTransformImplementation.h.

## FastBitwiseCopy() [1/2]

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>
template<typename T1, typename T2>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::FastBitwiseCopy | ( | const T1 & | ,
|  | const T2 & | )

inline static private

Definition at line 594 of file itkRecursiveBSplineTransformImplementation.h.

## FastBitwiseCopy() [2/2]

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>
template<typename T>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::FastBitwiseCopy | ( | T & | destination,
|  | const T & | source )

inline static private

Definition at line 587 of file itkRecursiveBSplineTransformImplementation.h.

## GetJacobian()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::GetJacobian | ( | TScalar *& | jacobians,
|  | const double * const | ,
|  | const double | value )

inline static

GetJacobian recursive implementation.

Definition at line 383 of file itkRecursiveBSplineTransformImplementation.h.

## GetJacobianOfSpatialHessian()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::GetJacobianOfSpatialHessian | ( | InternalFloatType *& | jsh_out,
|  | const double * const | ,
|  | const double * const | ,
|  | const double * const | ,
|  | const double *const | directionCosines,
|  | const InternalFloatType *const | jsh )

inline static

GetJacobianOfSpatialHessian recursive implementation.

Definition at line 497 of file itkRecursiveBSplineTransformImplementation.h.

## GetJacobianOfSpatialJacobian()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::GetJacobianOfSpatialJacobian | ( | InternalFloatType *& | jsj_out,
|  | const double * const | ,
|  | const double * const | ,
|  | const double *const | directionCosines,
|  | const InternalFloatType *const | jsj )

inline static

GetJacobianOfSpatialJacobian recursive implementation.

Definition at line 458 of file itkRecursiveBSplineTransformImplementation.h.

## GetSpatialHessian()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::GetSpatialHessian | ( | InternalFloatType *const | sh,
|  | const TScalar *const *const | mu,
|  | const OffsetValueType * const | ,
|  | const double * const | ,
|  | const double * const | ,
|  | const double * const | )

inline static

GetSpatialHessian recursive implementation.

Definition at line 442 of file itkRecursiveBSplineTransformImplementation.h.

## GetSpatialJacobian()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::GetSpatialJacobian | ( | InternalFloatType *const | sj,
|  | const TScalar *const *const | mu,
|  | const OffsetValueType * const | ,
|  | const double * const | ,
|  | const double * const | )

inline static

GetSpatialJacobian recursive implementation.

Definition at line 427 of file itkRecursiveBSplineTransformImplementation.h.

## itkStaticConstMacro()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::itkStaticConstMacro | ( | BSplineNumberOfIndices | ,
|  | unsigned int | ,
|  | RecursiveBSplineWeightFunctionType::NumberOfIndices | )

## TransformPoint()

template<unsigned int OutputDimension, unsigned int SplineOrder, class TScalar>

void itk::RecursiveBSplineTransformImplementation< OutputDimension, 0, SplineOrder, TScalar >::TransformPoint | ( | TScalar *const | opp,
|  | const TScalar *const *const | mu,
|  | const OffsetValueType * const | ,
|  | const double * const | )

inline static

TransformPoint recursive implementation.

Definition at line 369 of file itkRecursiveBSplineTransformImplementation.h.

Generated on 1768596610 for elastix by 1.15.0 |